libzypp 17.36.7

Public Member Functions | List of all members
zypp::media::MediaCurl::Callbacks Class Referenceabstract

`#include <zypp/media/MediaCurl.h>`

## Public Member Functions
virtual | ~Callbacks ()
virtual bool | progress (int percent)=0

## Detailed Description

Definition at line 105 of file MediaCurl.h.

## Constructor & Destructor Documentation

## ◆ ~Callbacks()

zypp::media::MediaCurl::Callbacks::~Callbacks | ( |  | ) |
| virtual

Definition at line 1444 of file MediaCurl.cc.

## Member Function Documentation

## ◆ progress()

virtual bool zypp::media::MediaCurl::Callbacks::progress | ( | int | percent | ) |
| pure virtual

The documentation for this class was generated from the following files:

- zypp/media/MediaCurl.h
- zypp/media/MediaCurl.cc